using System.ComponentModel;
namespace ChuPiao.Common.Models
{
    /// <summary>
    /// 彩票机玩法类型
    /// </summary>
    public class M_PlayTypeEntity:INotifyPropertyChanged
    {
        public M_PlayTypeEntity()
		{}
		#region Model
		private int _p_playid;
		private int _p_lotid;
		private string _p_playname;
		/// <summary>
		/// 玩法ID
		/// </summary>
		public int P_PlayId
		{
			set
            {
                _p_playid=value;
                if (PropertyChanged != null)
                {
                    PropertyChanged(this, new PropertyChangedEventArgs("P_PlayId"));
                }
            }
			get{return _p_playid;}
		}
		/// <summary>
		/// 彩种ID
		/// </summary>
		public int P_LotId
		{
            set
            {
                _p_lotid = value;
                if (PropertyChanged != null)
                {
                    PropertyChanged(this, new PropertyChangedEventArgs("P_LotId"));
                }
            }
			get{return _p_lotid;}
		}
		/// <summary>
		/// 玩法名称
		/// </summary>
		public string P_PlayName
		{
			set{ _p_playname=value;}
			get{return _p_playname;}
		}
		#endregion Model

        #region ICloneable 成员

        public object Clone()
        {
            return this.MemberwiseClone();
        }

        #endregion

        #region INotifyPropertyChanged 成员

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion
        public override string ToString()
        {
            return this.P_PlayName;
        }
    }
}
